pl_calltime.d(1m)

NAME
pl_calltime.d - measure Perl elapsed times for subroutines.

SYNOPSIS
pl_calltime.d

DESCRIPTION
This traces Perl activity from all programs running on the system with Perl provider support. Filename and subroutine names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Perl provider, which may change as additional features are introduced. Check Perl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # pl_calltime.d

FIELDS

FILE
    Filename of the Perl program

TYPE
    Type of call (sub/total)

NAME
    Name of call

TOTAL
    Total elapsed time for calls (us)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
pl_calltime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)